# Use modern design (React Native)

### Use modern (v2) short video player

The host app can utilize the following code to enable the modern (v2) design for short videos.

```javascript
import FireworkSDK, { ShortVideoPlayerDesignVersion } from 'react-native-firework-sdk';

FireworkSDK.getInstance().shortVideoPlayerDesignVersion =
  ShortVideoPlayerDesignVersion.v2;
```

### Use modern (v2) livestream player

The modern (v2) livestream player offers a more extensive feature set than the classic (v1) version. For instance, features such as Giveaway, Trivia Giveaway, and AI Copilot are available exclusively in the modern player, and are not supported in the classic player.

```javascript
import FireworkSDK, { LivestreamPlayerDesignVersion } from 'react-native-firework-sdk';

// Use modern (v2) livestream player
FireworkSDK.getInstance().livestreamPlayerDesignVersion =
  LivestreamPlayerDesignVersion.v2;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/react-native-sdk/integration-guide-v2/use-modern-design-react-native.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
